X
Tap here to go to the mobile version of the site.

Support Forum

Firefox do not verify the DAP extension and hence disabled it.

Posted

I have installed DAP 10 (free). I am using FIREFOX latest version.But Firefox do not verify the use of DAP and the both the extensions (DAP Link Checker and DAP extension) have been disabled by the firefox.

I have installed DAP 10 (free). I am using FIREFOX latest version.But Firefox do not verify the use of DAP and the both the extensions (DAP Link Checker and DAP extension) have been disabled by the firefox.

Chosen solution

Speedbit better get with the program and get their DAP add-ons for Firefox signed by Mozilla.

There is an override that you can enable for now. But come next Tuesday when Firefox 44.0 is released, this override will probably be gone.

https://support.mozilla.org/en-US/kb/add-on-signing-in-firefox#w_what-can-i-do-if-firefox-disables-an-installed-unsigned-add-on

Override add-on signing (advanced users): You can override this setting by changing the xpinstall.signatures.required preference to false in the Firefox Configuration Editor (about:config typed in the URL bar). Support is not available for any changes made with the Configuration Editor so please do this at your own risk.

Note: That pref will be gone in Firefox 44 (Release slated for Jan 26. 2016) so user's of currently un-signed extensions should contact the developers of those extensions and prod them into getting their act together & get their extensions signed by Mozilla. Otherwise the users of those extensions will be SOL come the release of Firefox 44. Mozilla has already pushed back the version in which this new security feature was to be enabled from Firefox 40 to 44. I doubt if there will be any further reprieve.

Read this answer in context 5

Additional System Details

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape 10.1.16
  • The plugin allows you to have a better experience with Microsoft Lync
  • The plugin allows you to have a better experience with Microsoft SharePoint

Application

  • Firefox 43.0.4
  • User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:43.0) Gecko/20100101 Firefox/43.0
  • Support URL: https://support.mozilla.org/1/firefox/43.0.4/WINNT/en-US/

Extensions

  • Adblock Plus 2.7.1 ({d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d})
  • Avast Online Security 10.3.3.13 (wrc@avast.com)
  • Avast SafePrice 10.3.5.13 (sp@avast.com)
  • DAP Link Checker 1.0.1.8 (daplinkchecker@speedbit.com) (Inactive)
  • Download Accelerator Plus (DAP) extension 10.0.5.1 ({F17C1572-C9EC-4e5c-A542-D05CBB5C5A08}) (Inactive)
  • Nightly Tester Tools 3.7.1-signed ({8620c15f-30dc-4dba-a131-7c5d20cf4a29}) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: Intel(R) HD Graphics 3000
  • adapterDescription2:
  • adapterDeviceID: 0x0116
  • adapterDeviceID2:
  • adapterDrivers: igdumd64 igd10umd64 igd10umd64 igdumd32 igd10umd32 igd10umd32
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterSubsysID: 1858103c
  • adapterSubsysID2:
  • adapterVendorID: 0x8086
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 6.3.9600.16384
  • driverDate: 12-12-2012
  • driverDate2:
  • driverVersion: 9.17.10.2932
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d 1.1', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d 1.1', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: Yes
  • webglRenderer: Google Inc. -- ANGLE (Intel(R) HD Graphics 3000 Direct3D9Ex vs_3_0 ps_3_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Modified Preferences

Misc

  • User JS: No
  • Accessibility: No
the-edmeister
  • Top 25 Contributor
  • Moderator
5399 solutions 40158 answers

Chosen Solution

Speedbit better get with the program and get their DAP add-ons for Firefox signed by Mozilla.

There is an override that you can enable for now. But come next Tuesday when Firefox 44.0 is released, this override will probably be gone.

https://support.mozilla.org/en-US/kb/add-on-signing-in-firefox#w_what-can-i-do-if-firefox-disables-an-installed-unsigned-add-on

Override add-on signing (advanced users): You can override this setting by changing the xpinstall.signatures.required preference to false in the Firefox Configuration Editor (about:config typed in the URL bar). Support is not available for any changes made with the Configuration Editor so please do this at your own risk.

Note: That pref will be gone in Firefox 44 (Release slated for Jan 26. 2016) so user's of currently un-signed extensions should contact the developers of those extensions and prod them into getting their act together & get their extensions signed by Mozilla. Otherwise the users of those extensions will be SOL come the release of Firefox 44. Mozilla has already pushed back the version in which this new security feature was to be enabled from Firefox 40 to 44. I doubt if there will be any further reprieve.

Speedbit better get with the program and get their DAP add-ons for Firefox signed by Mozilla. There is an override that you can enable for now. But come next Tuesday when Firefox 44.0 is released, this override will probably be gone. https://support.mozilla.org/en-US/kb/add-on-signing-in-firefox#w_what-can-i-do-if-firefox-disables-an-installed-unsigned-add-on '''Override add-on signing (advanced users):''' You can override this setting by changing the '''xpinstall.signatures.required''' preference to '''''false''''' in the [https://support.mozilla.org/en-US/kb/about-config-editor-firefox Firefox Configuration Editor] (about:config typed in the URL bar). Support is not available for any changes made with the Configuration Editor so please do this at your own risk. Note: That pref will be gone in Firefox 44 (Release slated for Jan 26. 2016) so user's of currently un-signed extensions should contact the developers of those extensions and prod them into getting their act together & get their extensions signed by Mozilla. Otherwise the users of those extensions will be SOL come the release of Firefox 44. ''Mozilla has already pushed back the version in which this new security feature was to be enabled from Firefox 40 to 44. I doubt if there will be any further reprieve.''

Question owner

Thanks a lot bud.

Thanks a lot bud.
Jorryme 0 solutions 2 answers

Helpful Reply

the-edmeister said

Speedbit better get with the program and get their DAP add-ons for Firefox signed by Mozilla. Override add-on signing (advanced users): You can override this setting by changing the xpinstall.signatures.required preference to false in the Firefox Configuration Editor (about:config typed in the URL bar). Support is not available for any changes made with the Configuration Editor so please do this at your own risk. Ed-meister's recommendation worked for me. I actually did it in 44.02 (I'd downgraded yesterday to fix saving flash stuff, but didn't manage to find an answer to that yet). I updated to 47.0 today and could still use dap. I went into about:config and could still change that string to false. Yay!!
''the-edmeister [[#answer-834042|said]]'' <blockquote> Speedbit better get with the program and get their DAP add-ons for Firefox signed by Mozilla. '''Override add-on signing (advanced users):''' You can override this setting by changing the '''xpinstall.signatures.required''' preference to '''''false''''' in the [https://support.mozilla.org/en-US/kb/about-config-editor-firefox Firefox Configuration Editor] (about:config typed in the URL bar). Support is not available for any changes made with the Configuration Editor so please do this at your own risk. Ed-meister's recommendation worked for me. I actually did it in 44.02 (I'd downgraded yesterday to fix saving flash stuff, but didn't manage to find an answer to that yet). I updated to 47.0 today and could still use dap. I went into about:config and could still change that string to false. Yay!!